POST api/iocardtypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
IOCardTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| description | string |
Required |
|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"description": "sample string 3",
"id": "71df57f4-59f5-4f7e-bf5d-c066592be4af",
"type": "sample string 5"
}
application/xml, text/xml
Sample:
<io_card_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <description>sample string 3</description> <id>71df57f4-59f5-4f7e-bf5d-c066592be4af</id> <type>sample string 5</type> </io_card_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"a0d04401-e8b5-4b9f-ae85-215254d402b2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a0d04401-e8b5-4b9f-ae85-215254d402b2</guid>